package com.chinaitop.depot.intelligent.grainsituation.service;

import com.chinaitop.depot.intelligent.basicdata.model.TDcsqtinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.grainsituation.model.TDcsdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TQtdevinfoValue;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface GasDetectionService {
    List getList(String vCfCode, String startTime, String endTime,String id,Integer orgId);

    /**
     * 根据气体集合code查询
     * @param code
     * @return
     */
    List<TQtdevinfo> getByCode(List<String> code);

    /**
     * 查询每个仓房的记录
     * @return
     */
    Map<String, Map<String, Object>> getByCfCdoes(Map<String, Object> mapDate);

    /**
     * 根据设备code和时间查询气体数据
     * @param codes 所有code
     * @param times 所有时间
     * @return
     */
    List<TDcsdata> getByCodeAndTimes(List<String> codes,List<Date> times);

    //批量插入气体检测信息
    void insertBatch(List<TDcsdata> tDcsdata);

    List getListGroup(String vCfCode,String orgId);
}
